include	clib.inc
include	dos.inc

PPROC	wgetacdate, path:DPTR
	push	di
	MPUSH	ds
	MLDS	dx,path
	stc
	mov	ax,7143h
	mov	bl,6
	int	21h
	MPOP	ds
	jc	wgetacdate_error
	mov	ax,di
    wgetacdate_toend:
	pop	di
	ret
    wgetacdate_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wgetacdate_toend
PEND	wgetacdate

	END
